/* GLOBAL --------------------------------------------------------------- */
.menu-container{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    pointer-events: none;
}
.menu-container .container{
    width: 100%;
    height: 100%;
}
.menu-container .close-background{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--black);
    pointer-events: none;
    opacity: 0;
}
/* ---------------------------------------------------------------------- */

/* FILTERS -------------------------------------------------------------- */
.menu-container .filters{
    display: flex;
    flex-direction: row-reverse;
    gap: 1px;
    position: absolute;
    top: 0;
    right: 7rem;
    pointer-events: all;
}
.menu-container .card-filter{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    width: 6rem;
    height: 6rem;
    background-color: var(--white);
    padding: 1rem 0;
    cursor: pointer;
    transform: translateY(-100%);
    transition: background-color 300ms;
}
.menu-container .card-filter::before{
    content: "";
    background-color: var(--white);
    width: 100%;
    height: 2rem;
    position: absolute;
    top: calc(-2rem + 1px);
    left: 0;
    transition: background-color 300ms;
}
.menu-container .card-filter svg{
    fill: var(--black);
    width: 2rem;
    height: 2rem;
    pointer-events: none;
    transition: fill 300ms;
}
.menu-container .card-filter .filter-text{
    position: relative;
    color: var(--black);
    text-transform: uppercase;
    user-select: none;
    pointer-events: none;
    transition: color 300ms;
}
.menu-container .card-filter.active{
    background-color: var(--red-dark-1);
}
.menu-container .card-filter.active::before{
    background-color: var(--red-dark-1);
}
.menu-container .card-filter.active svg{
    fill: var(--white);
}
.menu-container .card-filter.active .filter-text{
    color: var(--white);
}
/* TRIGGER */
.menu-container .filter-trigger{
    position: relative;
    width: fit-content;
    height: fit-content;
}
.menu-container .filter-icon{
    width: 2rem;
    height: 2.5rem;
    position: absolute;
    top: calc(2rem + 12px);
    left: 50%;
    transform: translateX(-50%);
    cursor: pointer;
    z-index: 1;
    transition: top 300ms, width 300ms, height 300ms;
}
.menu-container .filter-icon > div{
    width: 2px;
    height: 100%;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    background-color: var(--white);
    transition: background-color 300ms;
}
.menu-container .filter-icon .left{
    left: 0%;
    transform: translateX(0%);
}
.menu-container .filter-icon .right{
    left: 100%;
    transform: translateX(-100%);
}
.menu-container .filter-icon .square{
    background-color: var(--black);
    border: 2px solid var(--white);
    width: 10px;
    height: 10px;
    position: absolute;
    top: 10%;
    left: 50%;
    transform: translateX(-50%);
    transition: border-color 300ms;
}
.menu-container .filter-icon .left .square{
    top: 70%;
}
.menu-container .filter-icon .right .square{
    top: 50%;
}
.menu-container .filter-trigger .card-filter{
    justify-content: flex-end;
    text-align: center;
    transition: transform 300ms;
}
.menu-container .filter-trigger .card-filter span{
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
    transition: opacity 300ms;
}
.menu-container .filter-trigger .card-filter span:first-child{
    opacity: 1;
}
/* TRIGGER ACTIVE/HOVERED */
.menu-container .filter-trigger.active .filter-icon,
.menu-container .filter-trigger.hovered .filter-icon{
    top: 1rem;
    width: 1.75rem;
    height: 2rem;
}
.menu-container .filter-trigger.active .filter-icon > div,
.menu-container .filter-trigger.hovered .filter-icon > div{
    background-color: var(--black);
}
.menu-container .filter-trigger.active .filter-icon .square,
.menu-container .filter-trigger.hovered .filter-icon .square{
    border-color: var(--black);
}
.menu-container .filter-trigger.active .card-filter,
.menu-container .filter-trigger.hovered .card-filter{
    transform: translateY(0);
}
.menu-container .filter-trigger.active .filter-text span:nth-child(1){
    opacity: 0;
}
.menu-container .filter-trigger.active .filter-text span:nth-child(2){
    opacity: 1;
}
/* ---------------------------------------------------------------------- */

/* BURGER --------------------------------------------------------------- */
.menu-container .burger-menu{
    width: 4rem;
    height: 4rem;
    position: absolute;
    right: 2rem;
    top: 2rem;
    cursor: pointer;
    overflow: hidden;
    pointer-events: all;
    backdrop-filter: blur(10px);
    background-color: rgba(10, 10, 10, 0.3);
}
.menu-container .burger-horizontal{
    position: absolute;
    top: calc(50% - 5px);
    left: 10px;
    width: calc(100% - 20px);
    height: 10px;
    background-color: transparent;
    border: 2px solid var(--white);
}
.menu-container .burger-top{
    top: calc(50% - 20px);
}
.menu-container .burger-bottom{
    top: calc(50% + 10px);
}
.menu-container .burger-vertical{
    position: absolute;
    top: -100%;
    left: calc(50% - 5px);
    width: 10px;
    height: calc(100% - 20px);
    background-color: var(--white);
}
.menu-container .burger-left{
    left: calc(50% - 20px);
}
.menu-container .burger-right{
    left: calc(50% + 10px);
}
/* ---------------------------------------------------------------------- */

/* RIBBONS -------------------------------------------------------------- */
.menu-container .ribbons{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
}
.menu-container .ribbons div{
    position: absolute;
    background-color: var(--red-dark-1);
    width: calc(25% + 1px);
    height: 100%;
}
.menu-container .ribbon-0{
    top: 0;
    right: -1px;
    opacity: 0;
    transform: translateX(100%);
}
.menu-container .ribbon-1{
    top: 0;
    right: calc(25% - 1px);
    transform: translateY(-100%);
}
.menu-container .ribbon-2{
    bottom: 0;
    right: calc(50% - 1px);
    transform: translateY(100%);
}
.menu-container .ribbon-3{
    top: 0;
    right: calc(75% - 1px);
    transform: translateY(-100%);
}
/* ---------------------------------------------------------------------- */

/* CONTENT -------------------------------------------------------------- */
.menu-container .menu{
    width: fit-content;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    padding-left: 4rem;
    padding-right: 5rem;
    display: flex;
    flex-direction: column;
    gap: 3rem;
    justify-content: center;
    transform: translateX(100%);
    z-index: 11;
    pointer-events: all;
}
.menu-container .close-arrow{
    background-color: var(--black);
    width: 6rem;
    height: 8rem;
    position: absolute;
    top: 0;
    left: 4rem;
    transform: translateY(-100%);
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 10px 5px var(--shadow-black);
}
.menu-container .close-arrow::after{
    content: "";
    background-color: var(--black);
    width: 100%;
    height: 4rem;
    position: absolute;
    top: 0;
    left: 0;
    transform: translateY(calc(-100% + 2px));
}
.menu-container .close-arrow:hover .arrow::after{
    opacity: 1;
}
.menu-container .arrow{
    background-image: url("data:image/svg+xml,%3Csvg width='41' height='53' viewBox='0 0 41 53' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M39.5 20.75L34.9687 25.125L23.875 14.0313L23.875 52L17.625 52L17.625 14.0313L6.53125 25.125L2 20.75L20.75 2L39.5 20.75Z' fill='none' stroke='%23FFFCF5' stroke-width='2'/%3E%3C/svg%3E%0A");
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: contain;
    width: 41px;
    height: 53px;
    position: relative;
}
.menu-container .arrow::after{
    content: "";
    background-image: url("data:image/svg+xml,%3Csvg width='41' height='53' viewBox='0 0 41 53' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M39.5 20.75L34.9687 25.125L23.875 14.0313L23.875 52L17.625 52L17.625 14.0313L6.53125 25.125L2 20.75L20.75 2L39.5 20.75Z' fill='%23FFFCF5' stroke='%23FFFCF5' stroke-width='0'/%3E%3C/svg%3E%0A");
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: contain;
    width: 41px;
    height: 53px;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity 300ms;
}
.menu-container .menu-link{
    transform: translateX(6rem);
    opacity: 0;
    cursor: pointer;
    user-select: none;
    position: relative;
    z-index: 1;
    text-decoration: none;
}
.menu-container .menu-link.active{
    -webkit-text-stroke: 1.5px var(--white);
    color: transparent;
    pointer-events: none;
}
.menu-container .menu-link::before{
    content: "";
    background-color: var(--black-dark-1);
    width: 26px;
    height: 23px;
    position: absolute;
    top: calc(50% + 15px);
    transform: translateY(-123%) translateX(34%) rotateZ(-40deg) skew(-40deg) scaleX(0);
    transform-origin: center right;
    left: -99px;
    z-index: -2;
    transition: transform 100ms 300ms;
}
.menu-container .menu-link::after{
    content: "";
    background-color: var(--black);
    width: 0%;
    height: 30px;
    position: absolute;
    top: calc(50% + 15px);
    transform: translateY(-50%);
    left: -84px;
    z-index: -1;
    transition: width 300ms, box-shadow 300ms;
}
.menu-container .menu-link:hover::before{
    transform: translateY(-123%) translateX(34%) rotateZ(-40deg) skew(-40deg) scaleX(1);
    transition: transform 100ms;
}
.menu-container .menu-link:hover::after{
    width: calc(100% + 100px);
    box-shadow: 0 0 10px 5px var(--shadow-black);
    transition: width 300ms 100ms, box-shadow 300ms 100ms;
}
/* ---------------------------------------------------------------------- */

/* MEDIA QUERIES -------------------------------------------------------- */
@media screen and (max-width: 900px) {

    .menu-container .menu{
        gap: 1.5rem;
    }
    .menu-container .menu-link.active{
        -webkit-text-stroke: 0.5px var(--white);
    }
}

@media screen and (max-width: 768px) {

    .menu-container .filter-icon{
        top: calc(1rem + 12px);
    }
    .menu-container .filter-trigger .filter-text span:nth-child(1){
        opacity: 0;
    }
    .menu-container .filter-trigger .filter-text span:nth-child(2){
        opacity: 1;
    }

    .menu-container .burger-menu{
        top: 1rem;
    }

    .menu-container .menu{
        padding-left: 1.5rem;
        padding-right: 3rem;
    }
    .menu-container .close-arrow{
        left: 1.5rem;
        width: 5rem;
        height: 7rem;
    }
    .menu-container .arrow{
        width: 34px;
        height: 44px;
    }
    .menu-container .arrow::after{
        width: 34px;
        height: 44px;
    }
    .menu-container .menu-link::before{
        left: -59px;
    }
    .menu-container .menu-link::after{
        left: -44px;
    }
    .menu-container .menu-link:hover::after{
        width: calc(100% + 75px);
    }
}

@media screen and (max-width: 600px) {
    .menu-container .filters{
        right: 6rem;
    }
    .menu-container .card-filter{
        width: 4rem;
        height: 4rem;
        padding: 0.5rem 0;
    }
    .menu-container .filter-text{
        font-size: 0.9rem;
    }
    .menu-container .filter-trigger.active .filter-icon,
    .menu-container .filter-trigger.hovered .filter-icon{
        top: 0.5rem;
        width: 1.25rem;
        height: 1.5rem;
    }
    .menu-container .filter-trigger.active .filter-icon .square,
    .menu-container .filter-trigger.hovered .filter-icon .square{
        width: 8px;
        height: 8px;
    }
    .menu-container .filter svg{
        width: 1.5rem;
        height: 1.5rem;
    }

    .menu-container .burger-menu{
        right: 1rem;
    }
}

@media screen and (max-width: 375px) {

    .menu-container .menu{
        padding-left: 1rem;
        padding-right: 2rem;
    }
    .menu-container .menu-link::before{
        left: -51px;
    }
    .menu-container .menu-link::after{
        left: -36px;
    }
    .menu-container .menu-link:hover::after{
        width: calc(100% + 50px);
    }
}
/* ---------------------------------------------------------------------- */